<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Magazinews Pro
 * @since Magazinews Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'magazinews_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','magazinews-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'magazinews-pro' ),
	'panel'             => 'magazinews_pro_front_page_panel',
) );

// Topbar content enable control and setting
$wp_customize->add_setting( 'magazinews_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'magazinews_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazinews_Pro_Switch_Control( $wp_customize, 'magazinews_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'magazinews-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show secondary and social menu.', 'magazinews-pro' ), esc_html__( 'Click Here', 'magazinews-pro' ), esc_html__( 'to create menu', 'magazinews-pro' ) ),
	'section'           => 'magazinews_pro_topbar_section',
	'on_off_label' 		=> magazinews_pro_switch_options(),
) ) );

// ads image setting and control.
$wp_customize->add_setting( 'magazinews_pro_theme_options[ads_image]', array(
	'sanitize_callback' => 'magazinews_pro_sanitize_image'
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'magazinews_pro_theme_options[ads_image]',
		array(
		'label'       		=> esc_html__( 'Ads Image', 'magazinews-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'magazinews-pro' ), 900, 100 ),
		'section'     		=> 'magazinews_pro_topbar_section',
) ) );

// ads link setting and control
$wp_customize->add_setting( 'magazinews_pro_theme_options[ads_url]', array(
	'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'magazinews_pro_theme_options[ads_url]', array(
	'label'           	=> esc_html__( 'Ads Url', 'magazinews-pro' ),
	'section'        	=> 'magazinews_pro_topbar_section',
	'type'				=> 'url',
) );